local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")

function onTalk()
    disableMovement()
	walkTo(9360)
	player.Facing = getEnum("Celeste.Facings", "Right")
	if getFlag("CC_Omori_basilpicnic_talked") then
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CC_Omori_basilpicnic_B"))
	else
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CC_Omori_basilpicnic"))
	end
end

function onEnd()
    enableMovement()
	setFlag("CC_Omori_basilpicnic_talked",true)
end